> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Supprimer l’entrée de Knowledge

> Supprimer une entrée Knowledge de l’organisation.



## OpenAPI

````yaml fr/v1-openapi.yaml DELETE /v1/knowledge/{note_id}
openapi: 3.1.0
info:
  description: API Devin v1 avec clés d’API personnelles et de service
  title: Devin API v1
  version: 1.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v1/knowledge/{note_id}:
    delete:
      summary: Supprimer l’entrée de Knowledge
      description: Supprimer une entrée Knowledge de l’organisation.
      operationId: delete_knowledge_v1_knowledge__note_id__delete
      parameters:
        - in: path
          name: note_id
          required: true
          schema:
            title: Note Id
            type: string
      responses:
        '204':
          description: Réponse en cas de succès
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erreur de validation
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: Clé d’API personnelle (apk_user_\*) ou clé d’API de service (apk_\*)
      scheme: bearer
      type: http

````